linux CPP编译失败
150******69 发布于2019-07 浏览:2535 回复:1
0
收藏
快速回复

ubuntu 18.04 64bit

cmake 3.10

opencv 3.4.6

openssl 1.1.1-1ubuntu2.1~18.04.3

libcurl 4

目前遇到的问题是,cmake后进行make发现大量报错

/home/kasim/baidu/cpp/baidu_easyedge_linux_cpp_x86_64_PADDLEFLUID_v0.3.3_gcc5.4_20190620/demo/../lib/libeasyedge.so:对‘curl_easy_setopt@CURL_OPENSSL_3’未定义的引用
/home/kasim/baidu/cpp/baidu_easyedge_linux_cpp_x86_64_PADDLEFLUID_v0.3.3_gcc5.4_20190620/demo/../lib/libeasyedge.so:对‘curl_easy_cleanup@CURL_OPENSSL_3’未定义的引用
/home/kasim/baidu/cpp/baidu_easyedge_linux_cpp_x86_64_PADDLEFLUID_v0.3.3_gcc5.4_20190620/demo/../lib/libeasyedge.so:对‘curl_slist_append@CURL_OPENSSL_3’未定义的引用
/home/kasim/baidu/cpp/baidu_easyedge_linux_cpp_x86_64_PADDLEFLUID_v0.3.3_gcc5.4_20190620/demo/../lib/libeasyedge.so:对‘curl_easy_init@CURL_OPENSSL_3’未定义的引用
/home/kasim/baidu/cpp/baidu_easyedge_linux_cpp_x86_64_PADDLEFLUID_v0.3.3_gcc5.4_20190620/demo/../lib/libeasyedge.so:对‘curl_easy_strerror@CURL_OPENSSL_3’未定义的引用
/home/kasim/baidu/cpp/baidu_easyedge_linux_cpp_x86_64_PADDLEFLUID_v0.3.3_gcc5.4_20190620/demo/../lib/libeasyedge.so:对‘curl_easy_perform@CURL_OPENSSL_3’未定义的引用
/home/kasim/baidu/cpp/baidu_easyedge_linux_cpp_x86_64_PADDLEFLUID_v0.3.3_gcc5.4_20190620/demo/../lib/libeasyedge.so:对‘curl_global_init@CURL_OPENSSL_3’未定义的引用

降级到libcurl3后cmake会被卸载,使用libcurl3的libcurl.so.4.5.0,cmake又通不过。

使用libcurl4进行cmake生成编译文件后,替换libcurl.so.4.5.0,但是会有CURL_OPENSSL_4的报错。

请问如何编译成功?

 

收藏
点赞
0
个赞
共1条回复 最后由chenxiaoyu3回复于2020-05
#2chenxiaoyu3回复于2020-05

新版本sdk不依赖ssl了

0
快速回复
小编推荐
EasyEdge上手指南
TOP
切换版块